"use strict";
window.addEventListener("load", () => {
    const inputs = document.querySelectorAll('.dt-container thead input');
    inputs.forEach(input => {
        input.addEventListener("keydown", (event) => {
            if ((event.metaKey || event.ctrlKey) && event.key === "a") {
                event.target.select();
            }
        });
    });
});
const formatTimestamp = (timestamp) => {
    const date = new Date(typeof timestamp === "string"
        ? timestamp.replace(" ", "T")
        : timestamp);
    const now = new Date();
    const difference = now.getTime() - date.getTime();
    const result = `${date.getDate()} ${date.toLocaleString("en-GB", { month: "short" })}`;
    return difference < 31536000000
        ? result + `, ${date.getHours().toString().padStart(2, "0")}:${date.getMinutes().toString().padStart(2, "0")}`
        : result + ` ${date.getFullYear()}`;
};
