import type INoUiSlider from 'nouislider';

import { ICollectionItem } from 'preline/src/interfaces';

import { IStaticMethods } from 'preline/src/static/interfaces';

import type HSCopyMarkup from 'preline/src/plugins/copy-markup';
import type HSAccordion from 'preline/src/plugins/accordion';
import type HSCarousel from 'preline/src/plugins/carousel';
import type HSCollapse from 'preline/src/plugins/collapse';
import type HSComboBox from 'preline/src/plugins/combobox';
import type HSDataTable from 'preline/src/plugins/datatable';
import type HSDropdown from 'preline/src/plugins/dropdown';
import type HSFileUpload from 'preline/src/plugins/file-upload';
import type HSInputNumber from 'preline/src/plugins/input-number';
import type HSLayoutSplitter from 'preline/src/plugins/layout-splitter';
import type HSOverlay from 'preline/src/plugins/overlay';
import type HSPinInput from 'preline/src/plugins/pin-input';
import type HSRangeSlider from 'preline/src/plugins/range-slider';
import type HSRemoveElement from 'preline/src/plugins/remove-element';
import type HSScrollNav from 'preline/src/plugins/scroll-nav';
import type HSScrollspy from 'preline/src/plugins/scrollspy';
import type HSSelect from 'preline/src/plugins/select';
import type HSStepper from 'preline/src/plugins/stepper';
import type HSStrongPassword from 'preline/src/plugins/strong-password';
import type HSTabs from 'preline/src/plugins/tabs';
import type HSTextareaAutoHeight from 'preline/src/plugins/textarea-auto-height';
import type HSThemeSwitch from 'preline/src/plugins/theme-switch';
import type HSToggleCount from 'preline/src/plugins/toggle-count';
import type HSTogglePassword from 'preline/src/plugins/toggle-password';
import type HSTooltip from 'preline/src/plugins/tooltip';
import type HSTreeView from 'preline/src/plugins/tree-view';

declare global {
    var noUiSlider: typeof INoUiSlider;
    var FloatingUIDOM: {
        computePosition: (
            reference: Element,
            floating: HTMLElement,
            options?: any
        ) => Promise<{ x: number; y: number; placement: string }>;
        autoUpdate: (
            reference: Element,
            floating: HTMLElement,
            update: () => void,
        ) => () => void;
        offset: (offset: number | [number, number]) => any;
        flip: () => any;
    };

    interface Window {
        HS_CLIPBOARD_SELECTOR: string;

        HSStaticMethods: IStaticMethods;

        $hsCopyMarkupCollection: ICollectionItem<HSCopyMarkup>[];
        $hsAccordionCollection: ICollectionItem<HSAccordion>[];
        $hsCarouselCollection: ICollectionItem<HSCarousel>[];
        $hsCollapseCollection: ICollectionItem<HSCollapse>[];
        $hsComboBoxCollection: ICollectionItem<HSComboBox>[];
        $hsDataTableCollection: ICollectionItem<HSDataTable>[];
        $hsDropdownCollection: ICollectionItem<HSDropdown>[];
        $hsFileUploadCollection: ICollectionItem<HSFileUpload>[];
        $hsInputNumberCollection: { id: number; element: HSInputNumber }[];
        $hsLayoutSplitterCollection: ICollectionItem<HSLayoutSplitter>[];
        $hsOverlayCollection: ICollectionItem<HSOverlay>[];
        $hsPinInputCollection: ICollectionItem<HSPinInput>[];
        $hsRemoveElementCollection: ICollectionItem<HSRemoveElement>[];
        $hsRangeSliderCollection: ICollectionItem<HSRangeSlider>[];
        $hsScrollNavCollection: ICollectionItem<HSScrollNav>[];
        $hsScrollspyCollection: ICollectionItem<HSScrollspy>[];
        $hsSelectCollection: ICollectionItem<HSSelect>[];
        $hsStepperCollection: ICollectionItem<HSStepper>[];
        $hsStrongPasswordCollection: ICollectionItem<HSStrongPassword>[];
        $hsTabsCollection: ICollectionItem<HSTabs>[];
        $hsTextareaAutoHeightCollection: ICollectionItem<HSTextareaAutoHeight>[];
        $hsThemeSwitchCollection: ICollectionItem<HSThemeSwitch>[];
        $hsToggleCountCollection: ICollectionItem<HSToggleCount>[];
        $hsTogglePasswordCollection: ICollectionItem<HSTogglePassword>[];
        $hsTooltipCollection: ICollectionItem<HSTooltip>[];
        $hsTreeViewCollection: ICollectionItem<HSTreeView>[];
    }
}