import type { Knex } from "knex";

const TABLE = "channels";

export async function up(knex: Knex): Promise<void> {
    await knex.schema.createTable(TABLE, table => {
        table.increments("id").primary();
        table.string("channel_id").notNullable();
        table.integer("subscription_id")
            .unsigned()
            .notNullable()
            .references("id").inTable("subscriptions")
            .onDelete("CASCADE");
    });
}


export async function down(knex: Knex): Promise<void> {
    await knex.schema.dropTableIfExists(TABLE);
}

