import { Router } from "express";

import { getGuildPage } from "@server/middleware/guildPage";
import indexWebController from "@server/controllers/guild/index.web.controller";
import subWebController from "@server/controllers/guild/sub.web.controller";
import filterWebController from "@server/controllers/guild/filter.web.controller";
import styleWebController from "@server/controllers/guild/style.web.controller";
import contentWebController from "@server/controllers/guild/content.web.controller";

const router = Router();
router.get("/:guildId", getGuildPage, indexWebController.get);
router.get("/:guildId/subscriptions", getGuildPage, subWebController.get);
router.get("/:guildId/filters", getGuildPage, filterWebController.get);
router.get("/:guildId/styles", getGuildPage, styleWebController.get);
router.get("/:guildId/content", getGuildPage, contentWebController.get);

export default router;